<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/manbase/playerbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d3d/a03492_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">playerbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d3d/a03492.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPlayerBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d3/d19/a01847.html">PlayerBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">m_TerritoryIdInside</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/d42/a01463.html">ExpansionTerritoryModule</a> <a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// PlayerBase Constructor</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a4c273da961f398a1189c1f219bc31717">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a4c273da961f398a1189c1f219bc31717">PlayerBase</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">m_TerritoryIdInside</a> = -1;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        CF_Modules&lt;ExpansionTerritoryModule&gt;.Get(<a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// Expansion SetActions</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a092cf1bb1246b2a342676d2921b2c80b">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a092cf1bb1246b2a342676d2921b2c80b">SetActions</a>( out TInputActionMap InputActionMap )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.PLAYER, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetActions&quot;</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        super.SetActions( InputActionMap );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        AddAction( <a class="code hl_class" href="../../db/dca/a01639.html">ExpansionActionSelectNextPlacement</a>, InputActionMap );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        AddAction( <a class="code hl_class" href="../../d8/d8c/a01527.html">ExpansionActionCrackSafe</a>, InputActionMap );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        AddAction( <a class="code hl_class" href="../../dc/d93/a01535.html">ExpansionActionDestroyBarbedWire</a>, InputActionMap );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        AddAction( <a class="code hl_class" href="../../d9/d80/a01539.html">ExpansionActionDestroyLock</a>, InputActionMap );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// PlayerBase GetBuildNoBuildZone</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a1a79aecd9a9dbe882fc10c9451f68250">   49</a></span>    <a class="code hl_class" href="../../d6/d4d/a01371.html">ExpansionBuildNoBuildZone</a> <a class="code hl_function" href="../../d3/d19/a01847.html#a1a79aecd9a9dbe882fc10c9451f68250">GetBuildNoBuildZone</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">foreach</span> ( <a class="code hl_class" href="../../d6/d4d/a01371.html">ExpansionBuildNoBuildZone</a> zone : <a class="code hl_function" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetBaseBuilding().<a class="code hl_variable" href="../../d3/d52/a00023.html#a1a2efc847e1903dfbe7b7331b5e5d4a4">Zones</a> )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            vector pos = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            vector center = zone.Center;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">if</span> ( center[1] == 0 )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                pos[1] == 0;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">if</span> ( vector.Distance( pos, zone.Center ) &lt;= zone.Radius )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="keywordflow">return</span> zone;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// PlayerBase TerritoryModuleExists</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">   69</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">TerritoryModuleExists</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a> )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">            #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::TerritoryModuleExists - [ERROR] Territory module is NULL!&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">// PlayerBase IsInsideOwnPerimeter</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="comment">// Check if player is in own territory&#39;s perimeter (but not in territory itself)</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a510b38c82603d64ef1276eecef4911d6">   86</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a510b38c82603d64ef1276eecef4911d6">IsInsideOwnPerimeter</a>( <span class="keywordtype">float</span> territorySize = -1, <span class="keywordtype">float</span> perimeterSize = -1 )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInsideOwnPerimeter - Start&quot;</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">IsInsideOwnTerritory</a>( territorySize ) &amp;&amp; <a class="code hl_function" href="../../d3/d19/a01847.html#aba3299993ba39224932908bc4b52dfef">IsInsideOwnTerritoryOrPerimeter</a>( territorySize, perimeterSize );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// PlayerBase IsInPerimeter</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// Check if player is in a territory&#39;s perimeter (but not in territory itself)</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a33e7650de06caefd1e064d2a1eec56ee">   99</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a33e7650de06caefd1e064d2a1eec56ee">IsInPerimeter</a>( <span class="keywordtype">float</span> territorySize = -1, <span class="keywordtype">float</span> perimeterSize = -1 )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInPerimeter - Start&quot;</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">IsInTerritory</a>( territorySize ) &amp;&amp; <a class="code hl_function" href="../../d3/d19/a01847.html#a97309549e2818d4a2b76f91a4690d655">IsInTerritoryOrPerimeter</a>( territorySize, perimeterSize );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">// PlayerBase IsInTerritory</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <span class="comment">// Check if player is in a territory</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">  112</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">IsInTerritory</a>(<span class="keywordtype">float</span> territorySize = -1)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInTerritory - Start&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">TerritoryModuleExists</a>() )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>.<a class="code hl_function" href="../../d7/d42/a01463.html#a11509ee87195d666560024ca72084fe0">IsInTerritory</a>( <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), territorySize );</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">// PlayerBase IsInTerritoryOrPerimeter</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <span class="comment">// Check if player is in a territory or in its perimeter</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a97309549e2818d4a2b76f91a4690d655">  128</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a97309549e2818d4a2b76f91a4690d655">IsInTerritoryOrPerimeter</a>( <span class="keywordtype">float</span> territorySize = -1, <span class="keywordtype">float</span> perimeterSize = -1 )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInTerritoryOrPerimeter - Start&quot;</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">TerritoryModuleExists</a>() )</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>.<a class="code hl_function" href="../../d7/d42/a01463.html#a1ac33e6deaac9d37cc073f98938589a7">IsInTerritoryOrPerimeter</a>( <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), territorySize, perimeterSize );</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">// PlayerBase IsInsideOwnTerritory</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <span class="comment">// Check if player is in own territory</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">  144</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">IsInsideOwnTerritory</a>( <span class="keywordtype">float</span> territorySize = -1 )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInsideOwnTerritory - Start&quot;</span>);</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">TerritoryModuleExists</a>() )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordtype">string</span> playerUID;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            playerUID = <a class="code hl_variable" href="../../dd/d6c/a03495.html#aed697de3ccdbfb864c5df77a5aa2e9e5">m_PlayerUID</a>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>.<a class="code hl_function" href="../../d7/d42/a01463.html#a92853ba4fc40ed88df5617409204ba66">IsInsideOwnTerritory</a>( <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), territorySize, playerUID );</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    <span class="comment">// PlayerBase IsInsideOwnTerritoryOrPerimeter</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <span class="comment">// Check if player is in own territory or in its perimeter</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#aba3299993ba39224932908bc4b52dfef">  164</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#aba3299993ba39224932908bc4b52dfef">IsInsideOwnTerritoryOrPerimeter</a>( <span class="keywordtype">float</span> territorySize = -1, <span class="keywordtype">float</span> perimeterSize = -1 )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="preprocessor">        #ifdef EXPANSION_TERRITORY_MODULE_DEBUG</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <a class="code hl_function" href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;PlayerBase::IsInsideOwnTerritoryOrPerimeter - Start&quot;</span>);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">TerritoryModuleExists</a>() )</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordtype">string</span> playerUID;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            playerUID = <a class="code hl_variable" href="../../dd/d6c/a03495.html#aed697de3ccdbfb864c5df77a5aa2e9e5">m_PlayerUID</a>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">m_TerritoryModule</a>.<a class="code hl_function" href="../../d7/d42/a01463.html#afa4dfe5822f88b46142579a3c423a5dc">IsInsideOwnTerritoryOrPerimeter</a>( <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), territorySize, perimeterSize, playerUID );</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    <span class="comment">// PlayerBase SetTerritoryIDInside, only client side</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a17a36f6f5f783a39548190ee72420bf3">  183</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a17a36f6f5f783a39548190ee72420bf3">SetTerritoryIDInside</a>(<span class="keywordtype">int</span> territoryID)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_variable" href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">m_TerritoryIdInside</a> = territoryID;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    <span class="comment">// PlayerBase GetTerritoryIDInside, only client side</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a44b3a7db7b67930143dd903f8070daa2">  191</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a44b3a7db7b67930143dd903f8070daa2">GetTerritoryIDInside</a>()</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">m_TerritoryIdInside</a>;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="comment">// PlayerBase FindNearestFlag</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    <span class="comment">// Returns nearest TerritoryFlag object at given position</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    <span class="comment">// or NULL if no TerritoryFlag object is found.</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#afc6f2bbece98a91961aea9ab50ddf469">  201</a></span>    <a class="code hl_class" href="../../d7/db8/a01687.html">TerritoryFlag</a> <a class="code hl_function" href="../../d3/d19/a01847.html#afc6f2bbece98a91961aea9ab50ddf469">FindNearestFlag</a>()</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordflow">if</span> ( !IsMissionClient() )</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        vector pos = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        array&lt;Object&gt; objects = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        array&lt;CargoBase&gt; proxyCargos = <span class="keyword">new</span> array&lt;CargoBase&gt; ;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordtype">float</span> radius = 10;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        GetGame().GetObjectsAtPosition3D( pos, radius, objects, proxyCargos );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordtype">float</span> distance;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <a class="code hl_class" href="../../d7/db8/a01687.html">TerritoryFlag</a> nearestFlag;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">if</span> ( objects &amp;&amp; objects.Count() &gt; 0 )</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; objects.Count(); ++i )</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                <a class="code hl_class" href="../../d7/db8/a01687.html">TerritoryFlag</a> flag;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>                <span class="keywordflow">if</span> ( Class.CastTo( flag, objects.Get( i ) ) )</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>                {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                    distance = vector.Distance( pos, flag.GetPosition() );</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                    <span class="keywordflow">if</span> ( distance &lt; radius )</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                        radius = distance;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                        nearestFlag = flag;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>                }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordflow">return</span> nearestFlag;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    <span class="comment">// Expansion IsTargetInActiveRefresherRange</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../d3/d19/a01847.html#a041ae1ae2d1a4f4c0d544205982dd82d">  237</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d19/a01847.html#a041ae1ae2d1a4f4c0d544205982dd82d">IsTargetInActiveRefresherRange</a>(EntityAI target)</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="comment">        //! Duplicate of vanilla code except using TerritorySize instead of constant</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="comment"></span>        array&lt;vector&gt; temp = <span class="keyword">new</span> array&lt;vector&gt;;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        temp = GetGame().GetMission().GetActiveRefresherLocations();</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        <span class="keywordtype">int</span> count = temp.Count();</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">if</span> (count &gt; 0)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            <span class="keywordtype">float</span> territorySize = <a class="code hl_function" href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d5/df5/a01375.html#ad1f00355020ec2c92c96658beafd47e5">GetTerritory</a>().TerritorySize;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            vector pos = target.GetPosition();</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; count; i++)</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>                <span class="keywordflow">if</span> ( vector.Distance(pos,temp.Get(i)) &lt; territorySize )</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            }</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        }</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    }</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>};</div>
<div class="ttc" id="aa00023_html_a1a2efc847e1903dfbe7b7331b5e5d4a4"><div class="ttname"><a href="../../d3/d52/a00023.html#a1a2efc847e1903dfbe7b7331b5e5d4a4">Zones</a></div><div class="ttdeci">ref array&lt; ref ExpansionBuildNoBuildZone &gt; Zones</div><div class="ttdoc">Custom message for build zone required (optional, uses default message if not set)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00045">expansionbasebuildingsettings.c:45</a></div></div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00803_html_a360b77a21b7b48591e2d244da9c12d7e"><div class="ttname"><a href="../../d5/d72/a00803.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a></div><div class="ttdeci">static void EXPrint(string s, string prefix=&quot; [EXPANSION DEBUG]: &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d72/a00803_source.html#l00027">expansionstatic.c:27</a></div></div>
<div class="ttc" id="aa01371_html"><div class="ttname"><a href="../../d6/d4d/a01371.html">ExpansionBuildNoBuildZone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5b/a00026_source.html#l00013">expansionbuildnobuildzone.c:14</a></div></div>
<div class="ttc" id="aa01375_html_ad1f00355020ec2c92c96658beafd47e5"><div class="ttname"><a href="../../d5/df5/a01375.html#ad1f00355020ec2c92c96658beafd47e5">ExpansionSettings::GetTerritory</a></div><div class="ttdeci">ExpansionTerritorySettings GetTerritory(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d58/a03393_source.html#l00074">expansionsettings.c:74</a></div></div>
<div class="ttc" id="aa01463_html"><div class="ttname"><a href="../../d7/d42/a01463.html">ExpansionTerritoryModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l00014">expansionterritorymodule.c:15</a></div></div>
<div class="ttc" id="aa01463_html_a11509ee87195d666560024ca72084fe0"><div class="ttname"><a href="../../d7/d42/a01463.html#a11509ee87195d666560024ca72084fe0">ExpansionTerritoryModule::IsInTerritory</a></div><div class="ttdeci">bool IsInTerritory(vector position, float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l02222">expansionterritorymodule.c:2222</a></div></div>
<div class="ttc" id="aa01463_html_a1ac33e6deaac9d37cc073f98938589a7"><div class="ttname"><a href="../../d7/d42/a01463.html#a1ac33e6deaac9d37cc073f98938589a7">ExpansionTerritoryModule::IsInTerritoryOrPerimeter</a></div><div class="ttdeci">bool IsInTerritoryOrPerimeter(vector position, float territorySize=-1, float perimeterSize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l02267">expansionterritorymodule.c:2267</a></div></div>
<div class="ttc" id="aa01463_html_a92853ba4fc40ed88df5617409204ba66"><div class="ttname"><a href="../../d7/d42/a01463.html#a92853ba4fc40ed88df5617409204ba66">ExpansionTerritoryModule::IsInsideOwnTerritory</a></div><div class="ttdeci">bool IsInsideOwnTerritory(vector position=&quot;-1 -1 -1&quot;, float territorySize=-1, string playerUID=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l02015">expansionterritorymodule.c:2015</a></div></div>
<div class="ttc" id="aa01463_html_afa4dfe5822f88b46142579a3c423a5dc"><div class="ttname"><a href="../../d7/d42/a01463.html#afa4dfe5822f88b46142579a3c423a5dc">ExpansionTerritoryModule::IsInsideOwnTerritoryOrPerimeter</a></div><div class="ttdeci">bool IsInsideOwnTerritoryOrPerimeter(vector position, float territorySize=-1, float perimeterSize=-1, string playerUID=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l02155">expansionterritorymodule.c:2155</a></div></div>
<div class="ttc" id="aa01527_html"><div class="ttname"><a href="../../d8/d8c/a01527.html">ExpansionActionCrackSafe</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d15/a00188_source.html#l00013">expansionactioncracksafe.c:14</a></div></div>
<div class="ttc" id="aa01535_html"><div class="ttname"><a href="../../dc/d93/a01535.html">ExpansionActionDestroyBarbedWire</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d57/a00194_source.html#l00013">expansionactiondestroybarbedwire.c:14</a></div></div>
<div class="ttc" id="aa01539_html"><div class="ttname"><a href="../../d9/d80/a01539.html">ExpansionActionDestroyLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00013">expansionactiondestroylock.c:14</a></div></div>
<div class="ttc" id="aa01639_html"><div class="ttname"><a href="../../db/dca/a01639.html">ExpansionActionSelectNextPlacement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d35/a00266_source.html#l00001">expansionactionselectnextplacement.c:2</a></div></div>
<div class="ttc" id="aa01687_html"><div class="ttname"><a href="../../d7/db8/a01687.html">TerritoryFlag</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d07/a00305_source.html#l00013">territoryflag.c:14</a></div></div>
<div class="ttc" id="aa01847_html"><div class="ttname"><a href="../../d3/d19/a01847.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa01847_html_a041ae1ae2d1a4f4c0d544205982dd82d"><div class="ttname"><a href="../../d3/d19/a01847.html#a041ae1ae2d1a4f4c0d544205982dd82d">PlayerBase::IsTargetInActiveRefresherRange</a></div><div class="ttdeci">override bool IsTargetInActiveRefresherRange(EntityAI target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00237">playerbase.c:237</a></div></div>
<div class="ttc" id="aa01847_html_a092cf1bb1246b2a342676d2921b2c80b"><div class="ttname"><a href="../../d3/d19/a01847.html#a092cf1bb1246b2a342676d2921b2c80b">PlayerBase::SetActions</a></div><div class="ttdeci">override void SetActions(out TInputActionMap InputActionMap)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00032">playerbase.c:32</a></div></div>
<div class="ttc" id="aa01847_html_a17a36f6f5f783a39548190ee72420bf3"><div class="ttname"><a href="../../d3/d19/a01847.html#a17a36f6f5f783a39548190ee72420bf3">PlayerBase::SetTerritoryIDInside</a></div><div class="ttdeci">void SetTerritoryIDInside(int territoryID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00183">playerbase.c:183</a></div></div>
<div class="ttc" id="aa01847_html_a1a79aecd9a9dbe882fc10c9451f68250"><div class="ttname"><a href="../../d3/d19/a01847.html#a1a79aecd9a9dbe882fc10c9451f68250">PlayerBase::GetBuildNoBuildZone</a></div><div class="ttdeci">ExpansionBuildNoBuildZone GetBuildNoBuildZone()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00049">playerbase.c:49</a></div></div>
<div class="ttc" id="aa01847_html_a2bad2b6e7ba450ada45a75751782eadb"><div class="ttname"><a href="../../d3/d19/a01847.html#a2bad2b6e7ba450ada45a75751782eadb">PlayerBase::m_TerritoryModule</a></div><div class="ttdeci">protected ExpansionTerritoryModule m_TerritoryModule</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00017">playerbase.c:17</a></div></div>
<div class="ttc" id="aa01847_html_a33e7650de06caefd1e064d2a1eec56ee"><div class="ttname"><a href="../../d3/d19/a01847.html#a33e7650de06caefd1e064d2a1eec56ee">PlayerBase::IsInPerimeter</a></div><div class="ttdeci">bool IsInPerimeter(float territorySize=-1, float perimeterSize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00099">playerbase.c:99</a></div></div>
<div class="ttc" id="aa01847_html_a44b3a7db7b67930143dd903f8070daa2"><div class="ttname"><a href="../../d3/d19/a01847.html#a44b3a7db7b67930143dd903f8070daa2">PlayerBase::GetTerritoryIDInside</a></div><div class="ttdeci">int GetTerritoryIDInside()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00191">playerbase.c:191</a></div></div>
<div class="ttc" id="aa01847_html_a4c273da961f398a1189c1f219bc31717"><div class="ttname"><a href="../../d3/d19/a01847.html#a4c273da961f398a1189c1f219bc31717">PlayerBase::PlayerBase</a></div><div class="ttdeci">void PlayerBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00022">playerbase.c:22</a></div></div>
<div class="ttc" id="aa01847_html_a510b38c82603d64ef1276eecef4911d6"><div class="ttname"><a href="../../d3/d19/a01847.html#a510b38c82603d64ef1276eecef4911d6">PlayerBase::IsInsideOwnPerimeter</a></div><div class="ttdeci">bool IsInsideOwnPerimeter(float territorySize=-1, float perimeterSize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00086">playerbase.c:86</a></div></div>
<div class="ttc" id="aa01847_html_a5e502ba2a70b4792e224676312a43c51"><div class="ttname"><a href="../../d3/d19/a01847.html#a5e502ba2a70b4792e224676312a43c51">PlayerBase::TerritoryModuleExists</a></div><div class="ttdeci">private bool TerritoryModuleExists()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00069">playerbase.c:69</a></div></div>
<div class="ttc" id="aa01847_html_a97309549e2818d4a2b76f91a4690d655"><div class="ttname"><a href="../../d3/d19/a01847.html#a97309549e2818d4a2b76f91a4690d655">PlayerBase::IsInTerritoryOrPerimeter</a></div><div class="ttdeci">bool IsInTerritoryOrPerimeter(float territorySize=-1, float perimeterSize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00128">playerbase.c:128</a></div></div>
<div class="ttc" id="aa01847_html_aa8b20ccd5b11c8a3a6470afa6410772a"><div class="ttname"><a href="../../d3/d19/a01847.html#aa8b20ccd5b11c8a3a6470afa6410772a">PlayerBase::IsInsideOwnTerritory</a></div><div class="ttdeci">bool IsInsideOwnTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00144">playerbase.c:144</a></div></div>
<div class="ttc" id="aa01847_html_aac7d8816c898efbe2419763d6dba3ff2"><div class="ttname"><a href="../../d3/d19/a01847.html#aac7d8816c898efbe2419763d6dba3ff2">PlayerBase::IsInTerritory</a></div><div class="ttdeci">bool IsInTerritory(float territorySize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00112">playerbase.c:112</a></div></div>
<div class="ttc" id="aa01847_html_aba3299993ba39224932908bc4b52dfef"><div class="ttname"><a href="../../d3/d19/a01847.html#aba3299993ba39224932908bc4b52dfef">PlayerBase::IsInsideOwnTerritoryOrPerimeter</a></div><div class="ttdeci">bool IsInsideOwnTerritoryOrPerimeter(float territorySize=-1, float perimeterSize=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00164">playerbase.c:164</a></div></div>
<div class="ttc" id="aa01847_html_af83e952c23544054bbe0a492174204af"><div class="ttname"><a href="../../d3/d19/a01847.html#af83e952c23544054bbe0a492174204af">PlayerBase::m_TerritoryIdInside</a></div><div class="ttdeci">protected int m_TerritoryIdInside</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00015">playerbase.c:15</a></div></div>
<div class="ttc" id="aa01847_html_afc6f2bbece98a91961aea9ab50ddf469"><div class="ttname"><a href="../../d3/d19/a01847.html#afc6f2bbece98a91961aea9ab50ddf469">PlayerBase::FindNearestFlag</a></div><div class="ttdeci">TerritoryFlag FindNearestFlag()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d3d/a03492_source.html#l00201">playerbase.c:201</a></div></div>
<div class="ttc" id="aa03402_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../df/d96/a03402.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d96/a03402_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa03495_html_aed697de3ccdbfb864c5df77a5aa2e9e5"><div class="ttname"><a href="../../dd/d6c/a03495.html#aed697de3ccdbfb864c5df77a5aa2e9e5">m_PlayerUID</a></div><div class="ttdeci">class ExpansionInventoryItemType m_PlayerUID</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_ac3ab4f5f485d0a5f1822a3a7141e895.html">manbase</a></li><li class="navelem"><a class="el" href="../../d8/d3d/a03492.html">playerbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
